Bug 87694 - www/lynx: Add support for the application/xhtml+xml mime-type
Summary: www/lynx: Add support for the application/xhtml+xml mime-type
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-20 00:40 UTC by Ed Schouten
Modified: 2005-11-08 20:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Schouten 2005-10-20 00:40:16 UTC
This PR is somewhat related to ports/87161.

The current version of Lynx does not support the application/xhtml+xml mime-type. The snapshots for Lynx 2.8.6 do, but those aren't release official releases.

Fix: 

A fix is available at:

http://g-rave.nl/files/ports/www-lynx-patch-xhtml

This patch is self-written, it is not a backport from Lynx 2.8.6. Lynx 2.8.5 and 2.8.6 differ too much.

The patch is quite simple, it just copies the behaviour from 'text/html' to 'application/xhtml+xml'.
How-To-Repeat: Visit the following page with the current Lynx from Ports:

http://test.g-rave.nl/xhtml.xht

Lynx will ask you to save the file to disk.
Comment 1 Marcus Alves Grando freebsd_committer 2005-10-24 21:28:44 UTC
Dear maintainer,

Do you approve this update?

http://www.freebsd.org/cgi/query-pr.cgi?pr=87694

Thanks

-- 
Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
   mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 2 Marcus Alves Grando freebsd_committer 2005-10-24 21:28:54 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Marcus Alves Grando freebsd_committer 2005-11-08 20:08:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!